/*
 * drivers/mmc/card/aerial/aerial_ioctl.h
 *
 *  Copyright (C) 2008 Nissin Systems Co.,Ltd.
 *  Copyright (C) 2008-2009 Atmark Techno, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 2008-05-05    Created by Nissin Systems Co.,Ltd.
 * 2009-06-19   Modified by Atmark Techno, Inc.
 */

#ifndef _MMC_CARD_AERIAL_IOCTL_H_
#define _MMC_CARD_AERIAL_IOCTL_H_

#include <linux/wireless.h>

#define SUPPORTED_WIRELESS_EXT	18

/* PRIVATE COMMAND */

#define AERIAL_PRIV_FWLOAD	(SIOCIWFIRSTPRIV + 0)
#define AERIAL_PRIV_SETMAC	(SIOCIWFIRSTPRIV + 2)
#define AERIAL_PRIV_GETMAC	(SIOCIWFIRSTPRIV + 3)
#define AERIAL_PRIV_SETCRYPT	(SIOCIWFIRSTPRIV + 4)
#define AERIAL_PRIV_GETCRYPT	(SIOCIWFIRSTPRIV + 5)
#define AERIAL_PRIV_SETPSK	(SIOCIWFIRSTPRIV + 6)
#define AERIAL_PRIV_SETPSKMODE	(SIOCIWFIRSTPRIV + 8)
#define AERIAL_PRIV_GETPSKMODE	(SIOCIWFIRSTPRIV + 9)
#define AERIAL_PRIV_SETPSAVE	(SIOCIWFIRSTPRIV + 10)
#define AERIAL_PRIV_GETPSAVE	(SIOCIWFIRSTPRIV + 11)
#define AERIAL_PRIV_SETSLEEP	(SIOCIWFIRSTPRIV + 12)
#define AERIAL_PRIV_GETSLEEP	(SIOCIWFIRSTPRIV + 13)

#define AERIAL_PRIV_RESET	(SIOCIWFIRSTPRIV + 28)

#define AERIAL_PRIV_SETLOG	(SIOCIWFIRSTPRIV + 30)
#define AERIAL_PRIV_GETLOG	(SIOCIWFIRSTPRIV + 31)

extern void aerial_wireless_attach(struct net_device *dev);

#endif /* _MMC_CARD_AERIAL_IOCTL_H_ */
